%define build_with_python 1

%define gedit_major	0
%define libgedit	%mklibname %{name} %{gedit_major}

%define _disable_ld_no_undefined 1

Summary: Small but powerful text editor
Summary(de): Kleiner aber gewaltiger Texteditor
Name:			gedit
Version:		3.10.4
Release:		%mkrel 1
License:		GPLv2+
Group:			Editors 
Source0:		http://download.gnome.org/sources/%{name}/3.1/%{name}-%{version}.tar.xz
URL:			http://www.gnome.org/projects/gedit/
BuildRoot:		%{_tmppath}/%{name}-%{version}-buildroot
#----------------------------------------------
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}attr1-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}enchant-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}gtksourceview3.0-devel
BuildRequires: %{_lib}ice-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}peas-devel
BuildRequires: %{_lib}sm-devel
BuildRequires: %{_lib}soup-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: %{_lib}zeitgeist-devel
#-----------------------------------------------
BuildRequires: aspell-devel
BuildRequires: desktop-file-utils
BuildRequires: dbus-glib-devel
BuildRequires: gsettings-desktop-schemas-devel
BuildRequires: gtk-doc
BuildRequires: intltool
BuildRequires: iso-codes-devel
#----------------------------------------------
%if %{build_with_python}
BuildRequires:	%{_lib}python3-devel
BuildRequires:	python-gobject3-devel
%endif
#----------------------------------------------
Requires: pyorbit
Requires: gsettings-desktop-schemas
Requires: dconf
Requires: %{_lib}dconf1
Requires: gtk+3.0
Requires: python3
Requires: python-gobject3
Requires: gnome-icon-theme

%description
gEdit is a small but powerful text editor designed expressly
for GNOME.

It includes such features as split-screen mode, a plugin
API, which allows gEdit to be extended to support many
features while remaining small at its core, multiple
document editing through the use of a 'tabbed' notebook and
many more functions.

#german
%description -l de
Open-Source-Texteditor für die GNOME-Desktopumgebung
Gedit ist ein kleiner, Open-Source-Texteditor für die GNOME-Desktopumgebung 
und baut auf den GNOME- und GTK2-Bibliotheken auf. Es werden viele 
GNOME-Features unterstützt, darunter Drag and Drop mit anderen GNOME-Programmen, 
GNOMEs virtuelles Dateisystem GNOME-VFS, sowie GNOMEs Hilfesystem. Verschiedene 
Dateien können mit Hilfe von Tabs simultan bearbeitet werden. Gedit bietet 
Syntax-Highlighting für C, C++, Java, HTML, XML, Python, Perl, PHP und eine Reihe 
weiterer Programmier- und Scriptsprachen. Außerdem bietet der Editor die Möglichkeit, 
mit Hilfe eines flexiblen Plugin-Systems, weitere Funktionen dynamisch hinzuzufügen.

%files -f %{name}.lang
%defattr(-, root, root)
%doc README AUTHORS NEWS MAINTAINERS
%{_datadir}/gedit
%{_datadir}/applications/gedit.desktop
%if %{build_with_python}
%{_libdir}/python3.4/site-packages/gi/overrides
%endif
%{_libdir}/gedit
%{_bindir}/*
%{_datadir}/GConf/gsettings/gedit.*
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.*
%{_datadir}/dbus-1/services/org.gnome.gedit.service
%{_mandir}/man1/gedit.1*
%{_datadir}/appdata/gedit.appdata.xml
%{_datadir}/help

#____________________ devel ______________________________________

%package devel
Group:		Development/Libraries
Summary:	Headers for writing gEdit plugins

%description devel
Install this if you want to build plugins that use gEdit's API.

%files devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/pkgconfig/*

#_____________________ doc ________________________________

%package doc
Summary:	Documetation for %{name}
Summary(de):	Dokumentation für %{name}
Group:		Documentation
Requires:	%{name} = %{version}

%description doc
Help files for %{name}

#german
%description doc -l de
Hilfedateien für %{name}.

%files doc
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/*
%_datadir/help/*/%{name}/*.page
%_datadir/help/*/%{name}/figures/*.png


#______________________ build area __________________________________


%prep
%setup -q

%build
%configure2_5x \
	--enable-gtk-doc \
	--enable-introspection=yes \
	--disable-updater \
	--enable-gvfs-metadata \
%if %{build_with_python}
	--enable-python
%else
	--disable-python
%endif

%make

%install
rm -rf %buildroot
%makeinstall_std

#cleanup
rm -rf %buildroot/var

%find_lang %{name} --with-gnome

#icons
mkdir -p %{buildroot}%{_miconsdir} %{buildroot}%{_liconsdir} %{buildroot}%{_iconsdir} 

# remove .la files
find %{buildroot} -name '*.la' -exec rm -f {} ';'

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Editors" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%post
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%clean
rm -rf %{buildroot}

#_______________________ changelog ________________________________________

%changelog
* Sun Oct 11 2015 bb <bb> 3.10.4-1pclos2015
- update

* Sun Jan 26 2014 bb <bb> 3.6.2-2pclos2014
- clean up specfile

* Sun Mar 31 2013 daniel <meisssw01 at gmail.com> 3.6.2-1pfree2014
- bringing back without gnome intergration
- edit BR macros

